Ruby-1.8.7 post installation problem


#1

Hi,

Installation of ruby-1.8.7 was successfull.

[vivek@localhost ruby-1.8.7-p72]$ ruby -v
ruby 1.8.7 (2008-08-11 patchlevel 72) [i686-linux]

But when I tried to start irb

[vivek@localhost ruby-1.8.7-p72]$ irb
/usr/local/lib/ruby/1.8/openssl/ssl.rb:26: uninitialized constant
OpenSSL::SSL::VERIFY_PEER (NameError)
from /usr/local/lib/ruby/1.8/openssl.rb:23:in `require’
from /usr/local/lib/ruby/1.8/openssl.rb:23

Any suggestion or help is highly-2 appreciated.

Thanks,
Vivek


#2

On Feb 21, 2009, at 07:13 , Vivek S. wrote:

   from /usr/local/lib/ruby/1.8/openssl.rb:23:in `require'
   from /usr/local/lib/ruby/1.8/openssl.rb:23

Any suggestion or help is highly-2 appreciated.

haven’t seen that one before. Do you have a ~/.irbrc? If so, what are
the contents of it?